# Turret
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins

## Class Turret

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Turret

    public class Turret
    extends Colorable

### Constructor Summary

Constructors
Constructor and Description
`Turret(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, org.bukkit.Color color, org.bukkit.inventory.ItemStack skin, java.lang.Float explosionSize, org.bukkit.inventory.ItemStack ammo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.Location` `applyExtraOffset(org.bukkit.Location loc)`
`java.util.concurrent.CompletableFuture<java.lang.Boolean>` `shoot()`
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

`getSkinColored`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`despawnStand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Turret

    public Turret(java.lang.Double xOffset,
                  java.lang.Double yOffset,
                  java.lang.Double zOffset,
                  org.bukkit.Color color,
                  org.bukkit.inventory.ItemStack skin,
                  java.lang.Float explosionSize,
                  org.bukkit.inventory.ItemStack ammo)

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Part`

#### applyExtraOffset

    public org.bukkit.Location applyExtraOffset(org.bukkit.Location loc)

Overrides:
  `applyExtraOffset` in class `Part`

#### shoot

    public java.util.concurrent.CompletableFuture<java.lang.Boolean> shoot()